@ECHO OFF
REM INSTALL PROGRAM FOR MEMORIAL.ZIP, CONTAINED IN ECMEMO.ZIP
REM REQUIRES PKUNZIP V1.1 OR LATER, SUPPORTING -d OPTION TO CREATE DIRECTORIES
CLS
ECHO INSTALLING EC MEMORIAL PRINT TO DRIVE %1
ECHO.
ECHO TO QUIT INSTALL NOW, PRESS [CTRL]+[C],  [Y] TO TERMINATE BATCH JOB.
ECHO.
ECHO Otherwise, if ready to start...
ECHO.
PAUSE
CLS
REM CHECK IF VALID DESTINATION DRIVE ENTERED
IF "%1" == "C:" GOTO DriveOk
IF "%1" == "c:" GOTO DriveOk
IF "%1" == "D:" GOTO DriveOk
IF "%1" == "d:" GOTO DriveOk
IF "%1" == "E:" GOTO DriveOk
IF "%1" == "e:" GOTO DriveOk
IF "%1" == "F:" GOTO DriveOk
IF "%1" == "f:" GOTO DriveOk
CLS
ECHO ERROR IN INSTALL COMMAND FORMAT!
ECHO.
ECHO You entered INSTALL %1
ECHO.
ECHO The Proper format is INSTALL C:
ECHO.
ECHO Other valid drive letters are D:, E: or F:
ECHO.
ECHO Please retry with valid drive letter (include the colon [:] )
ECHO.
ECHO.
GOTO EXIT
:DriveOk
ECHO Installing EC Memorial Print...
ECHO.
ECHO Creating %1\Memorial Directory
ECHO.
MD %1\MEMORIAL
ECHO Done!
ECHO.
ECHO Copying archive file to %1\Memorial
ECHO.
COPY MEMORIAL.ZIP %1\MEMORIAL /V
IF NOT EXIST %1\MEMORIAL\MEMORIAL.ZIP GOTO ERROR
ECHO Done!
ECHO.
REM UNZIP & CREATE STORED DIRECTORIES
%1
CD\MEMORIAL
ECHO Unzipping archive files...
ECHO.
REM USE THIS LINE FOR PKUNZIP 1.1
PKUNZIP -d -o MEMORIAL.ZIP
CLS
REM ERROR CHECKING
IF ERRORLEVEL = 1 GOTO ERROR
REM MORE ERROR CHECKING
IF NOT EXIST %1\MEMORIAL\FONTS\HE060RPN.USP GOTO ERROR
IF NOT EXIST %1\MEMORIAL\DATA\SYSTEM.DAT GOTO ERROR
CLS
ECHO.
ECHO Done!
ECHO.
CLS
ECHO EC MEMORIAL PRINT PROGRAM INSTALLATION COMPLETE!
ECHO.
ECHO To start program, type:  MEMORIAL
ECHO.
ECHO.
GOTO EXIT
:ERROR
CLS
ECHO AN INSTALLATION ERROR HAS OCCURED - RETRY THE PROCEDURE OR INSTALL
ECHO MANUALLY - SEE README.NOW FILE.
GOTO EXIT
:EXIT


